package com.chelvc.framework.database.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 数据库配置属性
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@Configuration
@ConfigurationProperties("platform.database")
@ConditionalOnProperty(prefix = "platform.database", value = {"secret", "iv"})
public class DatabaseProperties {
    /**
     * 密钥
     */
    private String secret;

    /**
     * 初始向量（16位）
     */
    private String iv;
}
